org.apache.ignite.internal.processors.cache.distributed.near.consistency

## Class GridNearReadRepairFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Map<KeyCacheObject,EntryGetResult>>
  - - org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture
    - - org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairFuture

All Implemented Interfaces:
  IgniteInternalFuture<Map<KeyCacheObject,EntryGetResult>>

    public class GridNearReadRepairFuture
    extends GridNearReadRepairAbstractFuture

Checks data consistency. Checks that each affinity node's value equals other's. Prepares recovery data. Records consistency violation event.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture

`ctx, deserializeBinary, expiryPlc, futs, keys, MAX_REMAP_CNT, readThrough, recovery, REMAP_CNT_UPD, remapCnt, taskName, tx`

### Constructor Summary

Constructors
Constructor and Description
`GridNearReadRepairFuture(AffinityTopologyVersion topVer, GridCacheContext ctx, Collection<KeyCacheObject> keys, boolean readThrough, String taskName, boolean deserializeBinary, boolean recovery, IgniteCacheExpiryPolicy expiryPlc, IgniteInternalTx tx)` Creates a new instance of GridNearReadRepairFuture.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `reduce()` Reduces fut's results.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.near.consistency.GridNearReadRepairAbstractFuture

`map, onResult`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridNearReadRepairFuture

    public GridNearReadRepairFuture(AffinityTopologyVersion topVer,
                                    GridCacheContext ctx,
                                    Collection<KeyCacheObject> keys,
                                    boolean readThrough,
                                    String taskName,
                                    boolean deserializeBinary,
                                    boolean recovery,
                                    IgniteCacheExpiryPolicy expiryPlc,
                                    IgniteInternalTx tx)

Creates a new instance of GridNearReadRepairFuture.

Parameters:
  `topVer` - Affinity topology version.
  `ctx` - Cache context.
  `keys` - Keys.
  `readThrough` - Read-through flag.
  `taskName` - Task name.
  `deserializeBinary` - Deserialize binary flag.
  `recovery` - Partition recovery flag.
  `expiryPlc` - Expiry policy.
  `tx` - Transaction.

### Method Detail

#### reduce

    protected void reduce()

Reduces fut's results.

Specified by:
  `reduce` in class `GridNearReadRepairAbstractFuture`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021